## EmpathyChatroom

EmpathyChatroom

## Synopsis

    #define             EMPATHY_TYPE_CHATROOM_INVITE
                        EmpathyChatroomPriv;
                        EmpathyChatroom;
    EmpathyChatroom*    empathy_chatroom_new                (McAccount *account,
                                                             const gchar *room);
    EmpathyChatroom*    empathy_chatroom_new_full           (McAccount *account,
                                                             const gchar *room,
                                                             const gchar *name,
                                                             gboolean auto_connect);
    McAccount*          empathy_chatroom_get_account        (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_account        (EmpathyChatroom *chatroom,
                                                             McAccount *account);
    const gchar*        empathy_chatroom_get_room           (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_room           (EmpathyChatroom *chatroom,
                                                             const gchar *room);
    const gchar*        empathy_chatroom_get_name           (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_name           (EmpathyChatroom *chatroom,
                                                             const gchar *name);
    gboolean            empathy_chatroom_get_auto_connect   (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_auto_connect   (EmpathyChatroom *chatroom,
                                                             gboolean auto_connect);
    gboolean            empathy_chatroom_equal              (gconstpointer v1,
                                                             gconstpointer v2);

## Object Hierarchy

      GObject
       +----EmpathyChatroom

## Properties

      "account"                  McAccount             : Read / Write
      "auto-connect"             gboolean              : Read / Write
      "name"                     gchararray            : Read / Write
      "room"                     gchararray            : Read / Write

## Description

## Details

### EMPATHY_TYPE_CHATROOM_INVITE

    #define EMPATHY_TYPE_CHATROOM_INVITE       (empathy_chatroom_invite_get_gtype ())

### EmpathyChatroomPriv

    typedef struct _EmpathyChatroomPriv EmpathyChatroomPriv;

### EmpathyChatroom

    typedef struct _EmpathyChatroom EmpathyChatroom;

### empathy_chatroom_new ()

    EmpathyChatroom*    empathy_chatroom_new                (McAccount *account,
                                                             const gchar *room);

`account` : |
`room` : |
Returns : |

### empathy_chatroom_new_full ()

    EmpathyChatroom*    empathy_chatroom_new_full           (McAccount *account,
                                                             const gchar *room,
                                                             const gchar *name,
                                                             gboolean auto_connect);

`account` : |
`room` : |
`name` : |
`auto_connect` : |
Returns : |

### empathy_chatroom_get_account ()

    McAccount*          empathy_chatroom_get_account        (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_account ()

    void                empathy_chatroom_set_account        (EmpathyChatroom *chatroom,
                                                             McAccount *account);

`chatroom` : |
`account` : |

### empathy_chatroom_get_room ()

    const gchar*        empathy_chatroom_get_room           (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_room ()

    void                empathy_chatroom_set_room           (EmpathyChatroom *chatroom,
                                                             const gchar *room);

`chatroom` : |
`room` : |

### empathy_chatroom_get_name ()

    const gchar*        empathy_chatroom_get_name           (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_name ()

    void                empathy_chatroom_set_name           (EmpathyChatroom *chatroom,
                                                             const gchar *name);

`chatroom` : |
`name` : |

### empathy_chatroom_get_auto_connect ()

    gboolean            empathy_chatroom_get_auto_connect   (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_auto_connect ()

    void                empathy_chatroom_set_auto_connect   (EmpathyChatroom *chatroom,
                                                             gboolean auto_connect);

`chatroom` : |
`auto_connect` : |

### empathy_chatroom_equal ()

    gboolean            empathy_chatroom_equal              (gconstpointer v1,
                                                             gconstpointer v2);

`v1` : |
`v2` : |
Returns : |

## Property Details

### The "`account`" property

      "account"                  McAccount             : Read / Write

The account associated with an chatroom.

### The "`auto-connect`" property

      "auto-connect"             gboolean              : Read / Write

Connect on startup.

Default value: FALSE

### The "`name`" property

      "name"                     gchararray            : Read / Write

Chatroom name.

Default value: NULL

### The "`room`" property

      "room"                     gchararray            : Read / Write

Chatroom represented as 'room@server'.

Default value: NULL